ranges::views::remove_bind_fn Struct Reference
Inheritance diagram for ranges::views::remove_bind_fn:

## Public Member Functions

template<typename Value , typename Proj >
| CPP_TEMPLATE_AUX_0 (requires(!range< Value >)) const expr auto operator()(Value &&value
template<typename Value >
constexpr auto | operator() (Value value) const

## Public Attributes

Proj proj | const

## Member Data Documentation

## const

Proj proj ranges::views::remove_bind_fn::const

Initial value:
{
return make_view_closure(bind_back(
remove_base_fn{}, static_cast<Value &&>(value), std::move(proj)))
ranges::aux::move
constexpr move_fn move
Definition: move.hpp:52
ranges::make_view_closure
constexpr make_view_closure_fn make_view_closure
Definition: view.hpp:103
meta::lazy::bind_back
defer< bind_back, Fn, Ts... > bind_back
Definition: meta.hpp:994